<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login Page</title>
    <!-- Bootstrap 5 CDN -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
           
			background: linear-gradient(310deg, #104B86 0%, #BE422F 100%);
            background-size: cover;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0;
            flex-direction: column;
        }

        header {
            width: 100%;
            position: absolute;
            top: 0;
            left: 0;
            padding: 10px 20px;
            background-color: rgba(255, 255, 255, 0.8); /* Slightly transparent header */
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        }

        .header-logo {
            max-height: 30px;
        }
		label{
			font-weight:bold;
		}
        .login-container {
            background-color: rgba(255, 255, 255, 0.8); /* Transparent white background */
            border: 2px solid #FFffff;  /* Tomato color border */
            border-radius: 8px;
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);  /* Adds a soft shadow */
            width: 100%;
            max-width: 500px;
            padding: 40px;
        }

        button {
            background-color: #FF6347;  /* Button with Tomato color */
            border-color: #FF6347;
        }

        button:hover {
            background-color: #e5533e;  /* Slightly darker shade on hover */
            border-color: #e5533e;
        }

        h2 {
            color: #000000;  /* Heading with Tomato color */
        }

    </style>
</head>
<body>
    <!-- Header Section with Logo -->
    <header>
        <div class="container d-flex justify-content-start">
            <img src="assets/img/logo.png" alt="Logo" class="header-logo"> <!-- Replace with your logo image -->
        </div>
    </header>

    <!-- Login Form Container -->
    <div class="login-container">
        <form method="POST" action="loginverify.php">
            <h2 class="text-center mb-4">Sign In</h2>
            <div class="mb-3">
                <label for="username" class="form-label">Email ID</label>
                <input type="text" class="form-control" id="username" name="email" placeholder="Email ID" required>
            </div>
            <div class="mb-3">
                <label for="password" class="form-label">Password</label>
                <input type="password" class="form-control" id="password" name="password" placeholder="********" required>
                <div class="form-check mt-2">
                    <input class="form-check-input" type="checkbox" id="showPassword">
                    <label class="form-check-label" for="showPassword">Show Password</label>
                </div>
            </div>
            <button type="submit" class="btn btn-light w-100">Login</button>
        </form>
    </div>
	<!-- Bootstrap 5 Modal for Login Error -->
    <?php if(isset($_GET['fail'])) { ?>
    <div class="modal fade show" id="errorModal" tabindex="-1" aria-labelledby="errorModalLabel" aria-hidden="true" style="display: block;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="errorModalLabel">Login Error</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    Invalid email or password. Please try again.
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <?php } ?>

    <!-- Bootstrap 5 JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<script>
        // Close modal with JavaScript after it shows
        document.addEventListener('DOMContentLoaded', function () {
            // Check if the modal is shown
            const modal = document.getElementById('errorModal');
            if (modal && modal.classList.contains('show')) {
                const modalInstance = new bootstrap.Modal(modal);
                modalInstance.show(); // Display the modal
            }

            // Optionally, add behavior to close the modal after clicking the close button
            const closeModalButton = document.getElementById('closeModalButton');
            if (closeModalButton) {
                closeModalButton.addEventListener('click', function () {
                    const modalInstance = new bootstrap.Modal(modal);
                    modalInstance.hide(); // Close the modal
                });
            }
        });
    </script>
    <!-- Custom JavaScript for Show Password -->
    <script>
        const showPasswordCheckbox = document.getElementById('showPassword');
        const passwordInput = document.getElementById('password');

        showPasswordCheckbox.addEventListener('change', function() {
            if (this.checked) {
                passwordInput.type = 'text';
            } else {
                passwordInput.type = 'password';
            }
        });
    </script>
</body>
</html>
