<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Service Booking Form</title>
	 <link rel="icon" href="assets/img/favicon.avif" >
<link rel="icon" href="assets/img/ivis.png" >
    <script src="https://cdn.tailwindcss.com"></script>
	<style>
     @import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
    </style>
    <link href='https://fonts.googleapis.com/css?family=sans-serif,montserrat' rel='stylesheet'>

    <style>
    @font-face {
        font-family: 'Sackers Gothic Std';
        src: url('font/SackersGothicStd-Medium.woff2') format('woff2');
        font-weight: 500;
        font-style: normal;
        font-display: swap;
    }

    @font-face {
        font-family: 'Sackers Gothic Std';
        src: url('font/SackersGothicStd-Heavy.woff2') format('woff2');
        font-weight: 900;
        font-style: normal;
        font-display: swap;
    }

    @font-face {
        font-family: 'Sackers Gothic Std';
        src: url('font/SackersGothicStd-Light.woff2') format('woff2');
        font-weight: 300;
        font-style: normal;
        font-display: swap;
    }
    body {
        font-family: 'montserrat', sans-serif;
        font-weight: 400;
    }

    h2, h1, h3, h4, h5, h6{
        font-family: 'Sackers Gothic Std', sans-serif !important;
        text-transform: lowercase !important;
    }
 
        @media (min-width: 1024px) {
            body {
                background-image: url('assets/img/monitoring1.webp'); /* Replace with actual image URL */
                background-size: cover;
            }
        }
    </style>
	
</head>

<body class="bg-gray-100 flex items-center justify-center min-h-screen">
   <div class="bg-white p-6 rounded-lg shadow-lg w-full max-w-md">

    <!-- Logo -->
    <img src="assets/img/logo.png" alt="Company Logo" class="w-24 mx-auto mb-4">

    <img src="assets/img/monitoring1.webp" alt="Banner Image" class="w-full rounded-lg mb-4 block lg:hidden"> 
    
    <h6 class="font-semibold text-center mb-4">AI Powered 360° Security Camera for Businesses! </h6>
    
   <div class="text-center text-gray-600 text-sm font-medium grid grid-cols-2 justify-center">
    <div class="flex items-center -mr-2">
        <span class="bg-[#BE422F] text-white px-1 py-0.5 text-xs rounded mb-2 ml-4">✔</span>
        <span class="ml-2 mb-2">Wireless</span>
    </div>
    <div class="flex items-center -ml-2">
        <span class="bg-[#BE422F] text-white px-1 py-0.5 text-xs rounded mb-2">✔</span>
        <span class="ml-2 mb-2">Object Tracking</span>
    </div>
    <div class="flex items-center -mr-2">
        <span class="bg-[#BE422F] text-white px-1 py-0.5 text-xs rounded ml-4">✔</span>
        <span class="ml-2">Easy Setup</span>
    </div>
    <div class="flex items-center -ml-2">
        <span class="bg-[#BE422F] text-white px-1 py-0.5 text-xs rounded">✔</span>
        <span class="ml-2">Night Vision Camera</span>
    </div>
</div>


    <h3 class="font-medium text-center mt-4">Fill Your Details to Get Free Quote</h3>
    
    <form action="contact_db.php" method="POST" class="space-y-4">
        <div>
            <input type="text" id="typeText0" name="name" class="w-full px-3 py-2 border rounded-lg text-sm" placeholder="Name *" required>
        </div>
        <div>
            <input type="email" id="typeText1" name="email" class="w-full px-3 py-2 border rounded-lg text-sm" placeholder="Email *" required>
        </div>
        <div>
            <input type="tel" id="phoneNumber" name="phoneNumber" class="w-full px-3 py-2 border rounded-lg text-sm" placeholder="Phone Number *" pattern="[0-9]{10}" maxlength="10" required>
        </div>
        <div>
            <input type="text" id="businessName" name="businessName" class="w-full px-3 py-2 border rounded-lg text-sm" placeholder="Organisation Name *" required>
        </div>
        <div>
            <select name="service" class="w-full px-3 py-2 border rounded-lg text-sm" required>
                <option value="">What type of services do you need?</option>
                <option value="360° Security Camera">360° Security Camera</option>
                <option value="360° Security Camera + Live Monitoring">360° Security Camera + Live Monitoring</option>
            </select>
        </div>
        
        <button type="submit" class="w-full bg-[#104B86] text-white py-2 rounded-lg hover:bg-[#083763]">
            Book Free Demo
        </button>
    </form>

</div>

    <script>
        document.getElementById('typeText0').addEventListener('input', function() {
            this.value = this.value.trimStart(); 
        });

        document.getElementById('phoneNumber').addEventListener('input', function() {
            this.value = this.value.replace(/[^0-9]/g, '').slice(0, 10);
        });

        document.getElementById('bookingForm').addEventListener('submit', function(event) {
            event.preventDefault(); // Prevent form submission

            // Simulate form submission (or send data via AJAX if needed)
            window.location.href = "sent.php"; // Redirect to sent.php
        });
    </script>
</body>
</html>
